KMenuBar class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KMenuBar Class Reference

KDE Style-able menubar. More...

`#include <kmenubar.h>`

Inheritance diagram for KMenuBar:

[legend]
Collaboration diagram for KMenuBar:

[legend]
List of all members.

## Public Member Functions
| KMenuBar (QWidget *parent=0, const char *name=0)
void | setTopLevelMenu (bool top_level=true)
| This controls whether or not this menubar will be a top-level bar similar to the way Macintosh handles menubars.
bool | isTopLevelMenu () const
| Is our menubar a top-level (Macintosh style) menubar?
virtual void | setGeometry (const QRect &r)
virtual void | setGeometry (int x, int y, int w, int h)
virtual void | show ()
## Protected Slots
void | slotReadConfig ()
## Protected Member Functions
void | showEvent (QShowEvent *)
void | resizeEvent (QResizeEvent *)
bool | eventFilter (QObject *, QEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

KDE Style-able menubar.

This is required since QMenuBar is currently not handled by QStyle.

Author:
  Daniel "Mosfet" Duley.

Version:
  Id
    kmenubar.h,v 1.54 2002/10/29 08:47:10 lunakl Exp

Definition at line 40 of file kmenubar.h.

## Member Function Documentation

void KMenuBar::setTopLevelMenu | ( | bool | top_level = true | ) |

  | This controls whether or not this menubar will be a top-level bar similar to the way Macintosh handles menubars. This overrides any global config settings. Keep in mind that it is probably a really bad idea to use this unless you really know what you're doing. A feature like a top-level menubar is one that should really be shared by all applications. If your app is the only one with a top-level bar, then things might look very... odd. This is included only for those people that `do` know that they need to use it. Parameters:
  top_level | If set to true, then this menubar will be a top-level menu
Definition at line 81 of file kmenubar.cpp.

bool KMenuBar::isTopLevelMenu | ( |  | ) | const

| Is our menubar a top-level (Macintosh style) menubar? Returns: True if it is top-level. Definition at line 139 of file kmenubar.cpp.

The documentation for this class was generated from the following files:

- kmenubar.h
- kmenubar.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:03:10 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001